Uploaded image for project: 'Spring Data for Apache Cassandra'
  1. Spring Data for Apache Cassandra
  2. DATACASS-579

Remove Google Guava dependency from pom.xml

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Complete
    • Affects Version/s: 2.0.8 (Kay SR8)
    • Fix Version/s: 2.1 RC1 (Lovelace)
    • Component/s: Core
    • Labels:
      None
    • Last commented by a User:
      true

      Description

      We are getting issue with the latest Cassandra version i.e. 2.0.8 as it is using older version of guava i.e. 19.0 due to which we are getting compilation error in our project as some methods are not available in latest version of guava but Cassandra still uses those methods. So, we want to know if there is other way around to fix this issue.

        Attachments

          Activity

            People

            Assignee:
            mp911de Mark Paluch
            Reporter:
            rohitsngh27 Rohit Singh
            Last updater:
            Mark Paluch
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:
              Days since last comment:
              2 years, 9 weeks, 3 days ago